View Issue Details

IDProjectCategoryView StatusLast Update
11433Feature requests[All Projects] Expression Managerpublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target Version3.0Fixed in Version3.0 
Summary11433: Use EM in new class attribute
Description

In forum : some user want to hide / show some question depending on date.
f we have this system : usage of EM in class attribute : we can easily do
{if(date("Ymd")<"20160101",'hidden','')}

Hiding a question become easy.

Additional Information

It's not the same than allow EM in hide attribute : this second is better, but class is more quick (i can do it in one line). For hide attribute : need some js.

Tagsanswers_html

Activities

DenisChenu

DenisChenu

2016-11-09 09:45

developer   ~41807

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=21317

Related Changesets

LimeSurvey: develop 0d9b7775

2016-11-09 09:44:07

DenisChenu

Details Diff
New feature 11433: Use EM in new class attribute
Dev: Fixed bug for broken class too (encode it)
Affected Issues
11433
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/questionHelper.php Diff File

Issue History

Date Modified Username Field Change
2016-07-06 17:10 DenisChenu New Issue
2016-11-06 19:33 DenisChenu Tag Attached: answers_html
2016-11-06 19:33 DenisChenu Assigned To => DenisChenu
2016-11-06 19:33 DenisChenu Status new => assigned
2016-11-06 19:33 DenisChenu Target Version => 3.0
2016-11-09 09:45 DenisChenu Changeset attached => LimeSurvey develop 0d9b7775
2016-11-09 09:45 DenisChenu Note Added: 41807
2016-11-09 09:45 DenisChenu Resolution open => fixed
2016-11-09 09:56 DenisChenu Status assigned => resolved
2016-11-09 09:56 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed